diff options
author | dancer <dancer> | 2002-01-17 18:41:48 +0000 |
---|---|---|
committer | dancer <dancer> | 2002-01-17 18:41:48 +0000 |
commit | 0c5c2cd72415656f92a1e1663aded64cf9b3c229 (patch) | |
tree | 79d7d5b42e8579a38408979888ad1fccc5543285 /pbuilder-buildpackage | |
parent | 8dc73f5255da975798941f2659b019d37e992e26 (diff) | |
download | pbuilder-0c5c2cd72415656f92a1e1663aded64cf9b3c229.tar pbuilder-0c5c2cd72415656f92a1e1663aded64cf9b3c229.tar.gz |
added Daniel Kobras patch, to implement dpkg-buildpacakge options.
Testing this should be a good idea.
Diffstat (limited to 'pbuilder-buildpackage')
-rwxr-xr-x | pbuilder-buildpackage | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage index 1fb80dc..b89c51f 100755 --- a/pbuilder-buildpackage +++ b/pbuilder-buildpackage @@ -199,13 +199,13 @@ echo Building the package export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin" if [ -z "$DEBEMAIL" ]; then - if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc"; then + if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"; then echo "pbuilder: Failed autobuilding of package" >&2 abortingfunction exit 1; fi else - if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\""; then + if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"; then echo "pbuilder: Failed autobuilding of package" >&2 abortingfunction exit 1; |